com.hazelcast.org.snakeyaml.engine.v1.exceptions

## Class Mark

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.exceptions.Mark

- All Implemented Interfaces:
    Serializable

      public final class Mark
      extends Object
      implements Serializable

  It's just a record and its only use is producing nice error messages. Parser does not use it for any other purposes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mark(String name, int index, int line, int column, char[] str, int pointer)` This constructor is only for test
    `Mark(String name, int index, int line, int column, int[] buffer, int pointer)` Creates `Mark`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `createSnippet()`
    `String` | `createSnippet(int indent, int maxLength)`
    `int[]` | `getBuffer()`
    `int` | `getColumn()` starts with 0
    `int` | `getIndex()` starts with 0
    `int` | `getLine()` starts with 0
    `String` | `getName()`
    `int` | `getPointer()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mark

          public Mark(String name,
                      int index,
                      int line,
                      int column,
                      int[] buffer,
                      int pointer)

      Creates `Mark`
      Parameters:
        `name` - - the name to be used as identifier
        `index` - - the index from the beginning of the stream
        `line` - - line of the mark from beginning of the stream
        `column` - - column of the mark from beginning of the line
        `buffer` - - the data
        `pointer` - - the position of the mark from the beginning of the stream

    - #### Mark

          public Mark(String name,
                      int index,
                      int line,
                      int column,
                      char[] str,
                      int pointer)

      This constructor is only for test
      Parameters:
        `name` - - the name to be used as identifier
        `index` - - the index from the beginning of the stream
        `line` - - line of the mark from beginning of the stream
        `column` - - column of the mark from beginning of the line
        `str` - - the data
        `pointer` - - the position of the mark from the beginning of the stream

  - ### Method Detail

    - #### createSnippet

          public String createSnippet(int indent,
                                      int maxLength)

    - #### createSnippet

          public String createSnippet()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getName

          public String getName()

    - #### getLine

          public int getLine()

      starts with 0
      Returns:
        line number

    - #### getColumn

          public int getColumn()

      starts with 0
      Returns:
        column number

    - #### getIndex

          public int getIndex()

      starts with 0
      Returns:
        character number

    - #### getBuffer

          public int[] getBuffer()

    - #### getPointer

          public int getPointer()

Copyright © 2020. All rights reserved.